### Method

# Vips Object unref_outputs

#### Declaration [src]

    void
    vips_object_unref_outputs (
      VipsObject* object
    )

#### Description [src]

Unref all assigned output objects. Useful for language bindings.

After an object is built, all output args are owned by the caller. If something goes wrong before then, we have to unref the outputs that have been made so far. This function can also be useful for callers when they’ve finished processing outputs themselves.

See also

`vips_cache_operation_build()`.